This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 460591

Summary: firstboot X dies: "Fatal server error: could not open default font 'fixed'"
Product: [Fedora] Fedora Reporter: Will Woods <wwoods>
Component: selinux-policy-targetedAssignee: Daniel Walsh <dwalsh>
Status: CLOSED RAWHIDE QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: marco.crosio
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-29 15:28:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 457945    
Attachments:
Description Flags
firstbootX.log none

Description Will Woods 2008-08-28 16:02:44 EDT
Created attachment 315290 [details]
firstbootX.log

With current (20080826) rawhide, firstboot's X server dies after being unable to find the 'fixed' font.

Booting with 'enforcing=0' makes X start properly.

X log is attached. Interesting lines:

(==) No FontPath specified.  Using compiled-in default.
(==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
[...]
(WW) avc:  denied  { grab } for request=X11:GrabServer comm=/usr/bin/python2 scontext=system_u:system_r:firstboot_t:s0 tcontext=system_u:system_r:firstboot_t:s0 tclass=x_server
[...]
Fatal server error:
could not open default font 'fixed'
Comment 1 Daniel Walsh 2008-08-29 15:28:22 EDT
Fixed in selinux-policy-3.5.5-2.fc10